import * as React from 'react';
import {
  Menu,
  Header,
  Container,
  Popup,
  Image,
  Label,
  Button,
  Icon,
} from 'semantic-ui-react';
import Notification from '@overflow/notification/react/Notification';


export class LogoBar extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  public handleLogoClick = () => {
    alert('handleLogoClick');
  }

  public render(): JSX.Element {
    let icon =
      // <Button
      //   color='red'
      //   content='Notifications'
      //   icon='bell'
      //   floated='right'
      //   label={{ basic: true, color: 'red', pointing: 'left', content: '3' }}
      // />;
        <Menu.Item position='right'>
          <Icon name='bell'/>
          <Label color='red'>10</Label>
        </Menu.Item>;

    return (
      <Container fluid style={{ background: '#f8f8f8', 'paddingRight': '7px' }}>
        <Menu borderless secondary >
          <Menu.Item name='logo'>
            {/*<Image src='../asset/image/overFlow_CI_blue_180.png'
            style={{width:'120px'}} onClick={this.handleLogoClick} /> */}
          </Menu.Item>



          <Popup trigger={icon} on='click' wide >
            <Notification />
          </Popup>

        </Menu>
      </Container>
    );
  }
}



