import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import SensorListContainer from '@overflow/sensor/react/SensorList';

class SensorList extends React.Component<RouteComponentProps<object>, object> {

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
        <SensorListContainer params={this.props.match.params}/>
    );
  }
}


export default SensorList;
