import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import SensorSetupContainer from '@overflow/sensor/react/SensorConfiguration';

class SensorSetup extends React.Component<RouteComponentProps<object>, object> {

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
        <SensorSetupContainer params={this.props.match.params}/>
    );
  }
}


export default SensorSetup;
