/**
 * Created by geek on 17. 7. 3.
 */
/**
 * Created by geek on 17. 7. 3.
 */
import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Member from '@overflow/member/api/model/Member';

import * as ReadActionTypes from '../action/read';
import ReadState, { defaultState as readDefaultState } from '../state/Read';

const reducer: ReducersMapObject = {
  [ReadActionTypes.REQUEST_SUCCESS]: (state: ReadState = readDefaultState, action: Action<Member>): ReadState => {
    return {
      ...state,
      member: <Member>action.payload,
    };
  },
  [ReadActionTypes.REQUEST_FAILURE]: (state: ReadState = readDefaultState, action: Action<Error>): ReadState => {

    return {
      ...state,
      error: new Error('SigninIdPwNotMatch'),
    };
  },
};

export default reducer;
