import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';

import * as ReadAllByProbeActionTypes from '../action/read_all_by_probe';
import ReadAllByProbeState, { defaultState as ReadAllByProbeDefaultState } from '../state/ReadAllByProbe';
import Page from '@overflow/commons/api/model/Page';


const reducer: ReducersMapObject = {
  [ReadAllByProbeActionTypes.REQUEST_SUCCESS]:
  (state: ReadAllByProbeState = ReadAllByProbeDefaultState, action: Action<Page>):
    ReadAllByProbeState => {
    return {
      ...state,
      infraList: <Page>action.payload,
    };
  },
  [ReadAllByProbeActionTypes.REQUEST_FAILURE]:
  (state: ReadAllByProbeState = ReadAllByProbeDefaultState, action: Action<Error>):
    ReadAllByProbeState => {
    return state;
  },
};

export default reducer;
