import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import HistoryListContainer from '@overflow/history/react/HistoryList';

class HistoryList extends React.Component<RouteComponentProps<object>, object> {

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
      <div>
        <HistoryListContainer params={this.props.match.url}/>
      </div>
    );
  }
}


export default HistoryList;
