import * as React from 'react';
import { RouteComponentProps } from 'react-router';
import NotificationListContainer from '@overflow/notification/react/NotificationList';

class NotificationList extends React.Component<RouteComponentProps<object>, object> {

  public constructor(props?: RouteComponentProps<object>, context?: object) {
    super(props, context);
  }

  public render(): JSX.Element {
    return (
      <div>
        <NotificationListContainer params={this.props.match.url}/>
      </div>
    );
  }
}


export default NotificationList;
