import MetaHistoryType from '@overflow/meta/api/model/MetaHistoryType';
import Probe from '@overflow/probe/api/model/Probe';
import Member from '@overflow/member/api/model/Member';
import Domain from '@overflow/domain/api/model/Domain';

interface History {
    id: number;
    createDate: Date;
    type: MetaHistoryType;
    message: string;
    probe: Probe;
    member: Member;
    domain: Domain;
}

export default History;
