import { connect, Dispatch } from 'react-redux';
import {
  PWChange,
  StateProps as PWCangeStateProps,
  DispatchProps as PWCangeDispatchProps,
} from './components/PWChange';


import * as pwChangeActions from '../redux/action/pw_change';
import * as asyncRequestActions from '@overflow/commons/redux/action/asyncRequest';

export function mapStateToProps(state: any): PWCangeStateProps {
  return {

  };
}

export function mapDispatchToProps(dispatch: Dispatch<any>): PWCangeDispatchProps {
  return {
    onResetPassword: (pass: string) => {
      dispatch(asyncRequestActions.request('MemberService', 'forgotPassword', pwChangeActions.REQUEST, 'overflow@loafle.com', pass));
      // dispatch(pwChangeActions.request(pass));
    },
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(PWChange);
