import Action from '@overflow/commons/redux/Action';
import { ReducersMapObject } from 'redux';
import Page from '@overflow/commons/api/model/Page';

import * as ReadAllActionTypes from '../action/read_all';
import ReadAllState, { defaultState as ReadAllDefaultState } from '../state/ReadAll';

const reducer: ReducersMapObject = {
  [ReadAllActionTypes.REQUEST_SUCCESS]:
  (state: ReadAllState = ReadAllDefaultState, action: Action<Page>):
  ReadAllState => {
      return {
      ...state,
      allNotifications: <Page>action.payload,
    };
  },
  [ReadAllActionTypes.REQUEST_FAILURE]:
  (state: ReadAllState = ReadAllDefaultState, action: Action<Error>):
  ReadAllState => {
    return state;
  },
};

export default reducer;
