
import MetaSensorItem from '@overflow/meta/api/model/MetaSensorItem';
import Infra from '@overflow/infra/api/model/Infra';
import Crawler from '@overflow/meta/api/model/MetaCrawler';

interface SensorRegistInfo {
  sensorItemMap: Map<number, Array<MetaSensorItem>>;
  crawler: Crawler;
  // targetId: number;
  interval: number;
  // type: string;
  infra: Infra;
}

export default SensorRegistInfo;
